Subject: Re: Latency difference between fifo and pfifo_fast

From: Stephen Hemminger <[email-masked]>
Date: Wed, 7 Dec 2011 15:27:09 -0800

> <grin> Sorry to have kicked up a storm! We really don't have a problem - just trying to optimize our environment.  We have been told by our SAN vendor that, because of the 4KB limit on block size in Linux file systems, iSCSI connections for Linux file services are latency bound and not bandwidth bound.  I'm not sure if I believe that based upon our traces where tag queueing seems to coalesce SCSI commands into larger blocks and we are able to achieve network saturation.  I was just wondering, since it is all the same traffic and hence no need to separate into bands, if I should change the qdisc on those connections from pfifo_fast (which I assume needs to look at the TOS bits, sort into bands, and poll the separate bands) to fifo which I assume simply dumps packets on the wire.  Thanks -
  John

Is this a shared network? TOS won't matter if it is only your traffic.

There are number of route metrics that you can tweak to that can reduce TCP slow
start effects, like increasing the initial cwnd, etc.